package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 评价对象 fs_inquiry_order_ping
 *
 * @author fs
 * @date 2023-07-03
 */
public class FsInquiryOrderPing extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long pingId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 评分 */
    @Excel(name = "评分")
    private Integer pingStar;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String pingContent;

    @Excel(name = "医生回复")
    private String replyContent;



    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "评价时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pingTime;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }
    public void setPingId(Long pingId)
    {
        this.pingId = pingId;
    }

    public Long getPingId()
    {
        return pingId;
    }
    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }
    public void setPingStar(Integer pingStar)
    {
        this.pingStar = pingStar;
    }

    public Integer getPingStar()
    {
        return pingStar;
    }
    public void setPingContent(String pingContent)
    {
        this.pingContent = pingContent;
    }

    public String getPingContent()
    {
        return pingContent;
    }
    public void setPingTime(Date pingTime)
    {
        this.pingTime = pingTime;
    }

    public Date getPingTime()
    {
        return pingTime;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setDoctorId(Long doctorId)
    {
        this.doctorId = doctorId;
    }

    public Long getDoctorId()
    {
        return doctorId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("pingId", getPingId())
            .append("orderId", getOrderId())
            .append("pingStar", getPingStar())
            .append("pingContent", getPingContent())
            .append("pingTime", getPingTime())
            .append("userId", getUserId())
            .append("doctorId", getDoctorId())
            .toString();
    }
}
